1. Exchanges
Spreadefi
  • Overview
  • API Reference
    • Currencies
      • List all currencies
      • Get a single currency
    • Pairs
      • List available pairs
      • Get amount range for a pair
    • Estimation
      • Estimate an exchange
    • Exchanges
      • Create an exchange
        POST
      • List exchanges
        GET
      • Get an exchange
        GET
  • Schemas
    • Currency
    • Pair
    • Range
    • Estimate
    • ExchangeCreateRequest
    • Exchange
    • Error
  1. Exchanges

Get an exchange

GET
https://api.spreadefi.io/v1/exchanges/{id}
Returns the current status and details of a single exchange.

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.spreadefi.io/v1/exchanges/exch_8f3k29dl01'

Responses

🟢200
application/json
Exchange details
Bodyapplication/json

Example
{
    "id": "exch_8f3k29dl01",
    "status": "waiting",
    "from": "btc",
    "to": "eth",
    "amount_from": "1",
    "amount_to": "15.83421",
    "address_from": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
    "extra_id_from": null,
    "address_to": "0x1a2b3c4d5e6f7890aBcDeF1234567890AbCdEf12",
    "extra_id_to": null,
    "tx_from": null,
    "tx_to": null,
    "rate": "15.83421",
    "fixed": false,
    "created_at": "2026-07-19T10:15:00Z",
    "expires_at": "2026-07-19T10:35:00Z",
    "updated_at": "2026-07-19T10:15:00Z"
}
🟠401Unauthorized
🟠404NotFound
Previous
List exchanges
Next
Currency
Built with